<?php

namespace App\Http\Swagger;

/**
 * 
 * @OA\Post(
 *      path="/api/ama/ndc_travel_order_pay",
 *      summary="NDC - Travel Order Pay",
 *      tags={"NDC"},
 *      description="Activate payments and retrieve ticket informations.",
 *      @OA\RequestBody(
 *          required=true,
 *          @OA\JsonContent(
 *              type="object",
 *              @OA\Property(
 *                  property="OrderID",
 *                  type="string",
 *                  example="SQ_6FAGLW",
 *                  description="Order identifier"
 *              ),
 *              @OA\Property(
 *                  property="OwnerCode",
 *                  type="string",
 *                  example="SQ",
 *              ),
 *              @OA\Property(
 *                  property="CurrencyCode",
 *                  type="string",
 *                  example="GBP",
 *              ),
 *              @OA\Property(
 *                  property="TotalAmount",
 *                  type="number",
 *                  format="float",
 *                  example=1697.98,
 *              ),
 *          )
 *      ),
 *      @OA\Response(
 *          response=200,
 *          description="Successful operation",
 *          @OA\JsonContent(
 *              type="object",
 *              @OA\Property(
 *                  property="amaReply", 
 *                  type="object", 
 * 
 *                   @OA\Property(
 *                      property="Response",
 *                      type="array",
 *                      @OA\Items(
 *                         type="object",
 *                         @OA\Property(
 *                            property="DataLists",
 *                            type="object"
 *                         ),
 *                         @OA\Property(
 *                            property="Metadata",
 *                            type="object"
 *                         ),
 *                         @OA\Property(
 *                            property="Order",
 *                            type="object",
 *                            @OA\Property(property="OrderID", type="object"),
 *                            @OA\Property(property="OwnerCode", type="object"),
 *                            @OA\Property(property="BookingRef", type="object"),
 *                            @OA\Property(property="OrderItem", type="object"),
 *                            @OA\Property(property="PaymentInfo", type="object"),
 *                            @OA\Property(property="TotalPrice", type="object")
 *                         ),
 *                         @OA\Property(
 *                            property="TicketDocInfos",
 *                            type="object",
 *                            @OA\Property(property="TicketDocInfo", type="array",
 *                              @OA\Items(
 *                                  type="object",
 *                                  @OA\Property(property="AgentIDs", type="object"),
 *                                  @OA\Property(property="TicketDocument", type="object"),
 *                                  @OA\Property(property="PassengerReference", type="object")
 *                              )
 *                            ),
 *                         )
 *                      ),
 *                   ),
 *                  
 *              )
 *          )
 *      ),
 *      @OA\Response(
 *         response=400,
 *         description="Bad Request",
 *         @OA\JsonContent(
 *             type="object",
 *             @OA\Property(property="error_message", type="string")
 *         )
 *      )
 * )
 */

class NDC_4TravelOrderPay
{
    //
}
